Hooks:PostHook( WeaponFactoryTweakData, "_init_g22c", "demagwell", function(self)

	self.parts.wpn_fps_pis_g22c_body_standard = {
		a_obj = "a_body",
		type = "lower_reciever",
		name_id = "bm_wp_g22c_body_standard",
		unit = "units/payday2/weapons/wpn_fps_pis_g17_pts/wpn_fps_pis_g17_body_standard",
		stats = {
			value = 1
		}
	}
	self.parts.wpn_fps_pis_g22c_b_standard = {
		a_obj = "a_b",
		type = "slide",
		name_id = "bm_wp_g22c_b_standard",
		unit = "units/payday2/weapons/wpn_fps_pis_g22c_pts/wpn_fps_pis_g22c_b_standard",
		stats = {
			value = 1
		},
		animations = {
			fire = "recoil",
			reload = "reload",
			fire_steelsight = "recoil",
			magazine_empty = "last_recoil"
		}
	}
	self.parts.wpn_fps_pis_g22c_b_long = {
		unit = "units/payday2/weapons/wpn_fps_pis_g22c_pts/wpn_fps_pis_g22c_b_long",
		dlc = "pd2_clan",
		type = "slide",
		name_id = "bm_wp_g22c_b_long",
		a_obj = "a_sl",
		pcs = {
			10,
			20,
			30,
			40
		},
		stats = {
			value = 5,
			spread_moving = 1,
			damage = 1,
			suppression = -2,
			spread = -1,
			recoil = 1
		},
		animations = {
			fire = "recoil",
			reload = "reload",
			fire_steelsight = "recoil",
			magazine_empty = "last_recoil"
		}
	}
	self.parts.wpn_fps_pis_g22c_b_standard.third_unit = "units/payday2/weapons/wpn_third_pis_g22c_pts/wpn_third_pis_g22c_b_standard"
	self.parts.wpn_fps_pis_g22c_b_long.third_unit = "units/payday2/weapons/wpn_third_pis_g22c_pts/wpn_third_pis_g22c_b_long"
	self.parts.wpn_fps_pis_g22c_body_standard.third_unit = "units/payday2/weapons/wpn_third_pis_g22c_pts/wpn_third_pis_g22c_body_standard"
	self.wpn_fps_pis_g22c = {
		unit = "units/payday2/weapons/wpn_fps_pis_g22c/wpn_fps_pis_g22c",
		animations = {
			reload = "reload",
			fire = "recoil",
			fire_steelsight = "recoil",
			magazine_empty = "last_recoil"
		},
		optional_types = {
			"barrel_ext",
			"gadget"
		},
		override = {
			wpn_fps_upg_o_rmr = {
				parent = "slide"
			},
			wpn_fps_upg_o_rms = {
				parent = "slide"
			},
			wpn_fps_upg_o_rikt = {
				parent = "slide"
			},
			wpn_fps_pis_g26_g_gripforce = {
				a_obj = "a_g_2"
			},
			wpn_fps_pis_g26_g_laser = {
				a_obj = "a_g_2"
			}
		},
		default_blueprint = {
			"wpn_fps_pis_g22c_b_standard",
			"wpn_fps_pis_g22c_body_standard",
			"wpn_fps_pis_g18c_m_mag_17rnd"
		},
		uses_parts = {
			"wpn_fps_pis_g22c_b_standard",
			"wpn_fps_pis_g22c_b_long",
			"wpn_fps_pis_g22c_body_standard",
			"wpn_fps_pis_g18c_g_ergo",
			"wpn_fps_pis_g18c_co_1",
			"wpn_fps_pis_g18c_co_comp_2",
			"wpn_fps_pis_g18c_m_mag_33rnd",
			"wpn_fps_pis_g18c_m_mag_17rnd",
			"wpn_fps_upg_fl_pis_laser",
			"wpn_fps_upg_fl_pis_tlr1",
			"wpn_fps_upg_ns_pis_large",
			"wpn_fps_upg_ns_pis_medium",
			"wpn_fps_upg_ns_pis_small",
			"wpn_fps_upg_ns_pis_large_kac",
			"wpn_fps_upg_ns_pis_medium_gem",
			"wpn_fps_upg_o_rmr",
			"wpn_fps_upg_ns_pis_medium_slim",
			"wpn_fps_upg_pis_ns_flash",
			"wpn_fps_upg_fl_pis_crimson",
			"wpn_fps_upg_fl_pis_x400v",
			"wpn_fps_upg_ns_pis_meatgrinder",
			"wpn_fps_upg_ns_pis_ipsccomp",
			"wpn_fps_pis_g26_g_gripforce",
			"wpn_fps_pis_g26_g_laser",
			"wpn_fps_upg_fl_pis_m3x",
			"wpn_fps_upg_ns_ass_filter",
			"wpn_fps_upg_ns_pis_jungle",
			"wpn_fps_upg_o_rms",
			"wpn_fps_upg_o_rikt",
			"wpn_fps_upg_ns_pis_typhoon"
		}
	}
	self.wpn_fps_pis_g22c_npc = deep_clone(self.wpn_fps_pis_g22c)
	self.wpn_fps_pis_g22c_npc.unit = "units/payday2/weapons/wpn_fps_pis_g22c/wpn_fps_pis_g22c_npc"

end )